MouseButton (JavaFX 25)
Description: declaration: module: javafx.graphics, package: javafx.scene.input, enum: MouseButton

# Enum Class MouseButton

java.lang.Object
java.lang.Enum<MouseButton>
javafx.scene.input.MouseButton

All Implemented Interfaces:
  `Serializable, Comparable<MouseButton>, Constable`

public enum MouseButton extends Enum<MouseButton>
Mapping for Button Names

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACK`
  Represents back (button 4) mouse button.
  `FORWARD`
  Represents forward (button 5) mouse button.
  `MIDDLE`
  Represents middle (button 2) mouse button.
  `NONE`
  Represents no button.
  `PRIMARY`
  Represents primary (button 1, usually the left) mouse button.
  `SECONDARY`
  Represents secondary (button 3, usually the right) mouse button.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MouseButton`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MouseButton[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final MouseButton NONE
    Represents no button.

  - ### PRIMARY

    public static final MouseButton PRIMARY
    Represents primary (button 1, usually the left) mouse button.

  - ### MIDDLE

    public static final MouseButton MIDDLE
    Represents middle (button 2) mouse button.

  - ### SECONDARY

    public static final MouseButton SECONDARY
    Represents secondary (button 3, usually the right) mouse button.

  - ### BACK

    public static final MouseButton BACK
    Represents back (button 4) mouse button.
    Since:
      12

  - ### FORWARD

    public static final MouseButton FORWARD
    Represents forward (button 5) mouse button.
    Since:
      12

- ## Method Details

  - ### values

    public static MouseButton[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MouseButton valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null